psensor (1.1.5-1ubuntu4) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 18:32:48 -0500

psensor (1.1.5-1ubuntu3) artful; urgency=medium

  * No-change rebuild against latest libgtop2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 09 Aug 2017 23:00:11 -0400

psensor (1.1.5-1ubuntu2) artful; urgency=medium

  * No-change rebuild against latest libmicrohttpd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Jul 2017 13:59:20 -0400

psensor (1.1.5-1ubuntu1) yakkety; urgency=medium

    - debian/control:
      + Build-Depends on libunity-dev for Unity support.
    - drop Werror patch, useless with new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2016 14:19:00 +0200

psensor (1.1.5-1) unstable; urgency=medium

  * New upstream release
      +	fixed build failure. (Closes: #808519)
  * debian/control
      + switched to standard 3.9.8.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 06 Jun 2016 10:49:39 -0400

psensor (1.1.3-2ubuntu5) yakkety; urgency=medium

  * Don't build with -Werror.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Apr 2016 12:50:42 +0200

psensor (1.1.3-2ubuntu4) yakkety; urgency=medium

  * Rebuild against libjson-c3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Apr 2016 00:30:57 +0200

psensor (1.1.3-2ubuntu3) xenial; urgency=medium

  * No-change rebuild against new gnome libraries

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 15:40:28 +0000

psensor (1.1.3-2ubuntu2) vivid; urgency=medium

  * No-change rebuild against libxnvctrl-dev.

 -- Graham Inggs <graham@nerve.org.za>  Mon, 23 Mar 2015 19:07:10 +0200

psensor (1.1.3-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build-Depends on libunity-dev for Unity support.
  * debian/patches/lp1346299:
    - Dropped, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 26 Dec 2014 01:20:02 +0100

psensor (1.1.3-2) unstable; urgency=medium

  * debian/control
      + switched to standard 3.9.6.
      + no build dep to libudisks2-dev for kfreebsd. (Closes: #764696)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 13 Oct 2014 03:02:39 -0400

psensor (1.1.3-1) unstable; urgency=medium

  * New upstream release
      + added gtk+ 3.14 support. (Closes: #763257)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 29 Sep 2014 04:24:59 -0400

psensor (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
      + added dep to libxnvctrl-dev or nvidia-settings to enable
        nvidia support and ease ubuntu sync.
      + removed build dep to gconf which is no more needed.
      + added build dep to libudisks2-dev.
      + removed hddtemp from "Recommends" field (psensor is using
        udisks2 by default now but not psensor-server).
  * debian/psensor.install
      + removed gconf schema.
  * debian/copyright
      + added copyright information about checkpatch.pl.
  * debian/watch
      + added location of the release signature.
  * added debian/upstream/signing-key.asc

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sun, 21 Sep 2014 17:26:09 -0400

psensor (1.0.4-1) unstable; urgency=medium

  * New upstream release.
      + fixed psensor does not start: Attempt to unlock mutex that was not
        locked during startup with glib 2.41.2. (LP: #1346299)
      + fixed FTBFS with clang instead of gcc. (Closes: #753061)
  * debian/control
      + added build dep to libappindicator3-dev.
      + switched to optional priority instead of extra.
      + removed useless dots after long descriptions.
  * debian/rules
      + removed useless comments.
  * debian/copyright
      + switched to copyright format 1.0.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Wed, 06 Aug 2014 18:36:41 -0400

psensor (1.0.2-1ubuntu4) utopic; urgency=medium

  * debian/patches/lp1346299.patch
      + Fixed crash during startup. (LP: #1346299)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Fri, 22 Aug 2014 10:45:25 +0200

psensor (1.0.2-1ubuntu3) utopic; urgency=medium

  * Actually do a no change rebuild against new libgtop

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 20 Aug 2014 15:30:52 +1200

psensor (1.0.2-1ubuntu2) utopic; urgency=medium

  * No change rebuild against new libgtop

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 19 Aug 2014 13:42:43 +1200

psensor (1.0.2-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build-Depends on nvidia-settings on i386 and amd64.
      + Build-Depends on libunity-dev and libappindicator3-dev
        for Unity support.
  * Dropped following patches, fixed upstream:
    - debian/patches/fix_appindicator_icons.patch:
      + Fix icon size.
    - debian/patches/remove_gtk_deprecation_warnings.patch:
      + Removed GTK deprecation warnings to avoid build failure
        due to deprecation of GtkAction.    

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 10 Jun 2014 20:28:39 +0200

psensor (1.0.2-1) unstable; urgency=low

  * New upstream release.
      + fixed AppIndicator icons. (LP: #1290072) (LP: #1310323)
      + removed webfont to fix lintian warning privacy-breach-generic.
      + fixed lintian warning source-is-missing due to minimized .js.
  * debian/control
      + switched to Standards-Version 3.9.5.
      + fixed indentation of build-depends section.
      + changed vcs headers, packaging maintained in git now.
      + switch to dh-autoreconf (superset of autotools-dev).
  * debian/copyright
      + psensor/packaging copyright end date set to 2014.
      + jqplot (updated upstream) copyright end date set to 2013.
      + excanvas.js (removed upstream) copyright removed.
  * debian/rules
      + use autoreconf to update libtool and configure. (Closes: #749110)
  * debian/patches/json-c-FTBFS-fix.patch
      + droped, fixed upstream
  * debian/psensor.install
      + don't autostart psensor by default. (Closes: #728754)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 02 Jun 2014 22:17:16 +0200

psensor (0.8.0.4-1.1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build-Depends on nvidia-settings on i386 and amd64.
      + Build-Depends on libunity-dev and libappindicator3-dev
        for Unity support.
    - debian/patches/fix_appindicator_icons.patch:
      + Fix icon size.
    - debian/patches/remove_gtk_deprecation_warnings.patch:
      + Removed GTK deprecation warnings to avoid build failure
        due to deprecation of GtkAction.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 01 Jun 2014 12:11:44 +0200

psensor (0.8.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to build against current json-c. (Closes: #746145)

 -- Wookey <wookey@debian.org>  Fri, 30 May 2014 16:41:37 +0000

psensor (0.8.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
      + added dep to autotools-dev to regenerate config.{guess,sub}.
      + added vcs fields.
      + fixed ordering of build-deps.
      + longer description for psensor-common.
  * debian/copyright
      + copyright end date set to 2013.
  * debian/psensor*.lintian-overrides
      + ignored no-upstream-change lintian warnings as
        upstream does not provide it.
  * removed debian/docs because there are multiple bin packages.
  * debian/psensor-common.install
      + added README.
  * debian/psensor-common.doc-base.manual
      + registered to doc-base.
  * debian/rules
      + regenerate config.{guess,sub} automatically. (Closes: #727950)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Fri, 20 Sep 2013 19:39:45 -0400

psensor (0.8.0.3-2) unstable; urgency=low

  * debian/control
      + exclude build dep to atasmart lib for hurd and kfreebsd.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sun, 08 Sep 2013 06:36:33 -0400

psensor (0.8.0.3-1ubuntu3) trusty; urgency=medium

  * debian/patch/remove_gtk_deprecation_warnings.patch
   - removed GTK deprecation warnings to avoid build failure due to
     deprecation of GtkAction. (LP: #1304108).

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Wed, 09 Apr 2014 09:48:05 +0200

psensor (0.8.0.3-1ubuntu2) trusty; urgency=low

  * Add fix_appindicator_icons.patch: Fix icon size (LP: #1290072).

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Wed, 09 Apr 2014 08:31:17 +0200

psensor (0.8.0.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
   - Build depend on nvidia-settings build-dep on i386 and amd64.
   - Build depend on libunity-dev and libappindicator3-dev for Unity support.
  * Drop debian/patches/allow_gtk_deprecates.patch, it's fixed in debian

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 27 May 2013 21:44:21 +0000

psensor (0.8.0.3-1) unstable; urgency=low

  * New upstream release.
      + fixed realloc null returned value not handled in amd.c.
      + fixed url var in main function not freed.
      + added message when no sensor graphs are enabled. (Closes: #689355)
      + replaced deprecated GtkColorSelectionDialog by GtkColorChooserDialog.
        to avoid build failure with recent GTK releases. (LP: #1184442)
  * debian/control
      + added builddep to cppcheck.
      + added builddep to asciidoc.
      + added mention of FAQ in the psensor-common description.
      + added mention of libatasmart support in psensor description.
      + replaced builddep libjson0-dev by libjson-c-dev.
      + switched to Standards-Version 3.9.4.
  * debian/psensor-common.install
      + added faq.txt and faq.html.
  * debian/psensor.install
      + added psensor.glade.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sat, 25 May 2013 04:16:57 -0400

psensor (0.7.0.3-1ubuntu2) saucy; urgency=low

  * added debian/patches/allow_gtk_deprecates.patch: to workaround
    compilation failure with new gtk release. (LP: #1184442)
  * debian/control: switched to 3.9.4 Standards Version.
  * Remaining changes:
    + Modifed build-dep to add NVidia and Application Indicator support
    + Only add an nvidia-settings build-dep on i386 and amd6

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 27 May 2013 00:45:33 +0200

psensor (0.7.0.3-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
   - Build depend on nvidia-settings build-dep on i386 and amd64.
   - Build depend on libunity-dev and libappindicator3-dev for Unity support.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 27 Jan 2013 19:04:44 -0500

psensor (0.7.0.3-1) unstable; urgency=low

  * New upstream release.
      + added gconf schema. (LP: #1026807)
      +	fixed systray and application indicator visible at the
        same time. (LP: #971098)
      +	fixed wrong background color, get the background color of
        the window and not the canvas widget. (LP: #973122)
      + removed hicolor/48x48/psensor_hot.png. (LP: #1029065)
      + added degree sign for celcius. (LP: #1021900)
      + fixed hide window on startup for gnome-shell. (Closes: #676361)
  * debian/control
      + added builddep to libatasmart-dev.
      + switched to debhelper 9.
  * debian/psensor.install
      + added gconf schema.
  * debian/rules
      + set GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL to 1 to avoid gconf
        schema installation during package build.
  * debian/compat
      + switched to debhelper 9, fixes hardening-no-relro and
        hardening-no-fortify-functions lintian warnings.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sun, 19 Aug 2012 04:26:27 -0400

psensor (0.6.2.19-0ubuntu1) quantal; urgency=low

  * New upstream release
    + fixed hide window on startup for gnome-shell. (Closes: #676361)
    + fixed size of the icon hicolor/48x48/psensor_hot.png. (LP: #1029065)
  * Removed LP1021900.patch: fixed upstream since 0.6.2.18.
  * Remaining changes:
    + Modifed build-dep to add NVidia and Application Indicator support
    + Only add an nvidia-settings build-dep on i386 and amd6

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Tue, 21 Aug 2012 11:19:33 +0200

psensor (0.6.2.17-2ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + Modifed build-dep to add NVidia and Application Indicator support
    + Only add an nvidia-settings build-dep on i386 and amd6
    + debian/patches/LP1021900.patch: added degree Celcius symbol
  * Remove drop_g_thread_init.patch: fixed upstream since 0.6.2.17
  * Remove LP968912.patch: fixed upstream since 0.6.2.17

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Fri, 13 Jul 2012 02:22:18 +0200

psensor (0.6.2.17-2) unstable; urgency=low

  * debian/control
     - replaced libcurl4-openssl-dev build dep to
       libcurl4-gnutls-dev. (Closes: #668180)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 09 Apr 2012 12:15:54 -0400

psensor (0.6.2.17-1) unstable; urgency=low

  * New upstream release.
      - Fixed sensor type displayed in sensor preferences. (Closes LP: #968912)
  * debian/control
      - Switched to Standards-Version 3.9.3.
  * debian/copyright
      - Changed end date to 2012.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 26 Mar 2012 05:14:19 -0400

psensor (0.6.2.16-1ubuntu6) quantal; urgency=low

  * debian/patches/LP1021900.patch
    - added degree Celcius symbol. (LP: #1021900)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sat, 07 Jul 2012 00:47:44 +0200

psensor (0.6.2.16-1ubuntu5) quantal; urgency=low

  * No change upload to get the latest version of libmicrohttpd. 

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 15 Jun 2012 08:26:04 -0500

psensor (0.6.2.16-1ubuntu4) precise; urgency=low
 
  * debian/patches/LP968912.patch
    - fixed displayed sensor type. (LP: #968912)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Fri, 30 Mar 2012 09:07:58 +0200

psensor (0.6.2.16-1ubuntu3) precise; urgency=low

  * debian/control
    + Modified build-dep to add libunity-dev. (Closes LP: #919962)
    + Applied wrap-and-sort.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sun, 22 Jan 2012 14:13:21 +0100

psensor (0.6.2.16-1ubuntu2) precise; urgency=low

  * debian/control
    + Modified build-dep to libappindicator3-dev. (Closes LP: #919959)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sun, 22 Jan 2012 12:24:13 +0100

psensor (0.6.2.16-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + Modifed build-dep to add NVidia and Application Indicator support
    + Only add an nvidia-settings build-dep on i386 and amd64

  * Add a patch to drop the deprecated g_thread_init() call
    - add debian/patches/drop_g_thread_init.patch
    - add debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 21 Jan 2012 22:41:34 -0600

psensor (0.6.2.16-1) unstable; urgency=low

  * New upstream release.
      - removed -pedantic compilation option. (Closes LP: #905893)
  * debian/control, debian/psensor.install, debian/psensor-server.install:
      - applied wrap-and-sort. (Closes: #652531)

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Thu, 22 Dec 2011 21:11:44 -0500

psensor (0.6.2.15-1) unstable; urgency=low

  * New upstream release.
      - fct sysinfo is replaced by gtop2 calls. (Closes: #650533)
  * debian/control
      - set priority to 'extra' instead of 'optional' due to dependence
 	on json-c lib which is using a priority 'extra'.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Thu, 01 Dec 2011 01:57:00 +0100

psensor (0.6.2.14-1) unstable; urgency=low

  * New upstream release.
      - monochrome icons for Ubuntu themes. (Closes LP: #811003)
  * debian/copyright:
      - replaced email with my personnal one
      - added license and copyright info for jqplot
  * debian/control:
      - removed useless dep to lua
      - switch to Standards-Version 3.9.2
      - added build dep to libjs-query
      - replaced email with my personnal one
      - build dep to gtk3 instead of gtk2
  * debian/psensor.install:
      - added icons directory to include ubuntu default icons theme
      - added directories for glade files
      - added directory for autostart file
  * debian/psensor-server.links:
      - linked query.js file from libjs-query package

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Fri, 25 Nov 2011 02:56:22 -0500

psensor (0.6.1.9-3ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + Modifed build-dep to add NVidia and Application Indicator support
    + Only add an nvidia-settings build-dep on i386 and amd64

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 26 Oct 2011 04:46:38 -0500

psensor (0.6.1.9-3) unstable; urgency=low

  * debian/copyright:
      - Fixed Lintian error: helper-templates-in-copyright

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Mon, 12 Sep 2011 05:47:02 -0400

psensor (0.6.1.9-2ubuntu2) oneiric; urgency=low

  * Only add an nvidia-settings build-dep on i386 and amd64 since these are the
    only two arches this package exists on
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 10 Jun 2011 02:25:53 -0500

psensor (0.6.1.9-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + Modifed build-dep to add NVidia and Application Indicator support
      (LP: #793443).

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Tue, 07 Jun 2011 02:41:01 -0500

psensor (0.6.1.9-2) unstable; urgency=low

  * debian/psensor-server.install:
      - Fixed missing www files.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Fri, 20 May 2011 02:52:34 -0400

psensor (0.6.1.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
      - Fixed Lintian warning: newer-standards-version.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Tue, 03 May 2011 11:26:03 +0200

psensor (0.6.1.8-1ubuntu1) oneiric; urgency=low

  * debian/control:
    - added build-dep nvidia-settings and libappindicator-dev. It allows
      psensor to monitor NVidia GPUs and to use Ubuntu Application Indicator
      (LP: #778415).

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sat, 14 May 2011 18:04:25 +0200

psensor (0.6.1.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
      - removed empty paragraphs. (Closes: #624236)
      - added build-dep to autoconf,automake,gettext,autopoint
      - switched to Standards-Version 3.9.2

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Thu, 21 Apr 2011 15:19:35 +0200

psensor (0.6.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Tue, 19 Apr 2011 14:43:17 +0200

psensor (0.6.1.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: fixed capitalization-error-in-description

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Thu, 14 Apr 2011 23:57:35 +0200

psensor (0.6.1.5-1) unstable; urgency=low

  * Initial release.

 -- Jean-Philippe Orsini <jeanfi@gmail.com>  Sun, 20 Feb 2011 15:15:30 +0100
